[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Bug 183028] Review Request: perl-Spiffy



Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: perl-Spiffy


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183028





------- Additional Comments From paul city-fan org  2006-02-27 05:12 EST -------
(In reply to comment #9)
> => It's those applications which have to "Requires: perl(Spiffy)" to get this
> working. If rpm generates bogus "Requires: perl(mixin)" for those applications,
> these have to filter them out.

I agree with Ralf, and have a suggestion for how to do this:

Have the perl-Spiffy package (which is presumably a buildreq of the problematic
packages) provide a custom perl "requires" script (perhaps as simple as an
expansion of "%{__perl_requires} "$@" | sed -e 's/^perl(mixin)/perl(Spiffy)/'")
and ship it with the perl-Spiffy package as /usr/lib/rpm/perl-Spiffy.req. Then,
in each dependent package, simply add the line:

%define __perl_requires /usr/lib/rpm/perl-Spiffy.req

That's not too hard, is it?

-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]